# Record Class CJ1CommandLogin

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1CommandLogin

All Implemented Interfaces:
  `CJ1CommandType, CJ1MessageType, CJ1ValueType`

@JsonClassDescription("Log in.") public record CJ1CommandLogin(String userName, String password, Map<String,String> metadata) extends Record implements CJ1CommandType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1CommandLogin(String userName, String password, Map<String,String> metadata)`
  Creates an instance of a `CJ1CommandLogin` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Map<String,String>`
  `metadata()`
  Returns the value of the `metadata` record component.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `userName()`
  Returns the value of the `userName` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1CommandLogin

    public CJ1CommandLogin(@JsonPropertyDescription("The user name.") String userName, @JsonPropertyDescription("The password.") String password, @JsonPropertyDescription("The extra metadata.") Map<String,String> metadata)
    Creates an instance of a `CJ1CommandLogin` record class.
    Parameters:
      `userName` - the value for the `userName` record component
      `password` - the value for the `password` record component
      `metadata` - the value for the `metadata` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userName

    @JsonPropertyDescription("The user name.") public String userName()
    Returns the value of the `userName` record component.
    Returns:
      the value of the `userName` record component

  - ### password

    @JsonPropertyDescription("The password.") public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### metadata

    @JsonPropertyDescription("The extra metadata.") public Map<String,String> metadata()
    Returns the value of the `metadata` record component.
    Returns:
      the value of the `metadata` record component